org.optaplanner.core.impl.domain.valuerange.buildin.primdouble

## Class DoubleValueRange

- java.lang.Object
- - org.optaplanner.core.impl.domain.valuerange.AbstractUncountableValueRange<Double>
  - - org.optaplanner.core.impl.domain.valuerange.buildin.primdouble.DoubleValueRange

- All Implemented Interfaces:
    Serializable, ValueRange<Double>

      public class DoubleValueRange
      extends AbstractUncountableValueRange<Double>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleValueRange(double from, double to)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(Double value)`
    `Iterator<Double>` | `createRandomIterator(Random workingRandom)` Select in random order, but without shuffling the elements.
    `boolean` | `isEmpty()` In a `CountableValueRange`, this must be consistent with `CountableValueRange.getSize()`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleValueRange

          public DoubleValueRange(double from,
                                  double to)

      Parameters:
        `from` - inclusive minimum
        `to` - exclusive maximum, `>= from`

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `ValueRange`
      In a `CountableValueRange`, this must be consistent with `CountableValueRange.getSize()`.
      Returns:
        true if the range is empty

    - #### contains

          public boolean contains(Double value)

      Parameters:
        `value` - sometimes null
      Returns:
        true if the ValueRange contains that value

    - #### createRandomIterator

          public Iterator<Double> createRandomIterator(Random workingRandom)

      Description copied from interface: `ValueRange`
      Select in random order, but without shuffling the elements. Each element might be selected multiple times. Scales well because it does not require caching.
      Parameters:
        `workingRandom` - never null, the `Random` to use when any random number is needed, so `EnvironmentMode.REPRODUCIBLE` works correctly. `RandomUtils` can be useful too.
      Returns:
        never null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.